<template>
  <div class="setting-menu">
    <div
      class="item"
      v-for="item in items"
      :key="item.name"
      :class="{ active: item.name == selectedMenu }"
      @click="onClick(item)"
    >
      <Icon :type="item.icon" size="18" />
      <br />
      <span>{{ item.title }}</span>
    </div>
  </div>
</template>

<script>
export default {
  name: "SettingMenu",
  props: {
    selectedMenu: String,
  },
  data() {
    return {
      items: [
        {
          name: "config",
          icon: "md-settings",
          title: "网站设置",
        },
        {
          name: "admin",
          icon: "md-person",
          title: "管理员设置",
        },
      ],
    };
  },
  methods: {
    onClick(item) {
      this.$emit("on-select-change", item.name);
    },
  },
};
</script>

<style lang="less" scoped>
.setting-menu {
  height: 100%;
  overflow-y: auto;
  .item {
    background-color: #fff;
    margin-bottom: 6px;
    padding-top: 12px;
    border-radius: 5px;
    width: 70px;
    height: 60px;
    text-align: center;
    color: #2d8cf0;
    font-size: 12px;
    cursor: pointer;
    &.active {
      border: 2px solid #2d8cf0;
    }
  }
  &::-webkit-scrollbar {
    display: none;
  }
}
</style>